function [] = define_global()
% This function is used to define global variables used in the simulation.

global iPO2 idPsi iH_x iATP_x iADP_x iAMP_x iGTP_x iGDP_x iPI_x iNADH_x iQH2_x ...
       iOAA_x iACCOA_x iCIT_x iICIT_x iAKG_x iSCOA_x iCOASH_x iSUC_x iFUM_x ...
       iMAL_x iGLU_x iASP_x iK_x iMg_x iCO2tot_x iCred_i iATP_i iADP_i iAMP_i ...
       iPI_i iH_i iMg_i iK_i iATP_c iADP_c iPI_c iH_c iMg_c iK_c iPYR_x iPYR_i ...
       iPYR_c iCIT_i iCIT_c iAKG_i iAKG_c iSUC_i iSUC_c iMAL_i iMAL_c iASP_i ...
       iASP_c iGLU_i iGLU_c iFUM_i iFUM_c iICIT_i iICIT_c iPCr_c iAMP_c iCr_c;
     
global i_J_C1 i_J_C3 i_J_C4 i_J_F1 i_J_ANT i_J_PI1 i_J_Hle i_J_KH i_J_pdh i_J_cits ...
       i_J_acon i_J_isod i_J_akgd i_J_scoas i_J_sdh i_J_fum i_J_mdh i_J_ndk i_J_got ...
	     i_J_PI2 i_J_ATPt i_J_ADPt i_J_AMPt i_J_PYR_H i_J_GLU_H i_J_CIT_MAL i_J_SUC_MAL ... 
       i_J_AKG_MAL i_J_MAL_PI i_J_ASP_GLU i_J_PYRt i_J_CITt i_J_ICITt i_J_MALt ... 
	     i_J_AKGt i_J_SUCt i_J_FUMt i_J_GLUt i_J_ASPt i_J_CKe i_J_AKe i_J_AtC;

%% define indices for all state variables
%   For biochemical concentration variables the notations
%   "_x", "_i", and "_c" denote matrix, im space, and cytoplasm,
%   respectively. Thus iATP_x indexes ATP in the matrix.
%   
% (i) oxygen species
iPO2 = 1;
% (ii) Matrix species and dPsi
idPsi        = 2;
iH_x         = 3; 
iATP_x       = 4;
iADP_x       = 5;
iAMP_x       = 6;
iGTP_x       = 7;
iGDP_x       = 8;
iPI_x        = 9;
iNADH_x      = 10;
iQH2_x       = 11;
iOAA_x       = 12;
iACCOA_x     = 13;
iCIT_x       = 14;
iICIT_x      = 15;
iAKG_x       = 16;
iSCOA_x      = 17;
iCOASH_x     = 19;
iSUC_x       = 19;
iFUM_x       = 20;
iMAL_x       = 21;
iGLU_x       = 22;
iASP_x       = 23;
iK_x         = 24;
iMg_x        = 25;
iCO2tot_x    = 26;
%  (iii) IM space species
iCred_i      = 27;
iATP_i       = 28;
iADP_i       = 29;
iAMP_i       = 30;
iPI_i        = 31;
iH_i         = 32;
iMg_i        = 33;
iK_i         = 34;
%  (iv) Cytoplasmic species
iATP_c       = 35;
iADP_c       = 36;
iPI_c        = 37;
iH_c         = 38;
iMg_c        = 39;
iK_c         = 40;
% others
iPYR_x      = 41;
iPYR_i      = 42;
iPYR_c      = 43;
iCIT_i      = 44;
iCIT_c      = 45;
iAKG_i      = 46;
iAKG_c      = 47;
iSUC_i      = 48;
iSUC_c      = 49;
iMAL_i      = 50;
iMAL_c      = 51;
iASP_i      = 52;
iASP_c      = 53;
iGLU_i      = 54;
iGLU_c      = 55;
iFUM_i      = 56;
iFUM_c      = 57;
iICIT_i     = 58;
iICIT_c     = 59;
iPCr_c      = 60;
iAMP_c      = 61;
iCr_c = 62;

%%  Defining indices for all fluxes
	i_J_C1 = 4 ;
	i_J_C3 = 5;
	i_J_C4 = 6;
	i_J_F1 = 7; 
	i_J_ANT = 8; 
	i_J_PI1 = 9;
	i_J_Hle = 10; 
	i_J_KH = 11;
	i_J_pdh = 12;
	i_J_cits = 13;
    i_J_acon = 14;
	i_J_isod = 15; 
	i_J_akgd = 16;
	i_J_scoas = 17;
	i_J_sdh = 18;
	i_J_fum = 19; 
	i_J_mdh = 20;
	i_J_ndk = 21;
	i_J_got = 22;
	i_J_PI2 = 23; 
	i_J_ATPt = 24;
	i_J_ADPt = 25; 
	i_J_AMPt = 26; 
    i_J_PYR_H = 27; 
	i_J_GLU_H = 28;
	i_J_CIT_MAL = 29; 
	i_J_SUC_MAL = 30; 
	i_J_AKG_MAL = 31; 
	i_J_MAL_PI = 32;	
	i_J_ASP_GLU = 33; 
	i_J_PYRt = 34; 
	i_J_CITt = 35; 
	i_J_ICITt = 36; 
	i_J_MALt = 37; 
	i_J_AKGt = 38; 
	i_J_SUCt = 39;
	i_J_FUMt = 40; 
	i_J_GLUt = 41;
	i_J_ASPt = 42;
	i_J_CKe = 43;
	i_J_AKe = 44;
	i_J_AtC = 45;